﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using System.Web.Routing;
using UIShell.OSGi;
using UIShell.OSGi.Core.Service;
using System.IO;
using System.Web.Compilation;
using System.Reflection;
using UIShell.OSGi.Utility;
using UIShell.OSGi.Loader;
using System.Threading;
using UIShell.OSGi.MvcWebExtension;

namespace MvcOSGi
{
    // Note: For instructions on enabling IIS6 or IIS7 classic mode, 
    // visit http://go.microsoft.com/?LinkId=9394801

    public class MvcApplication : BundleRuntimeMvcApplication
    {
        public override void RegisterGlobalFilters(GlobalFilterCollection filters)
        {
            filters.Add(new HandleErrorAttribute());
        }

        public override void RegisterRoutes(RouteCollection routes)
        {
            base.RegisterRoutes(routes);
            routes.MapPageRoute("DefaultPage", string.Empty, "~/Default.aspx");
        }

        protected override void  Application_Start(object sender, EventArgs e)
        {
            base.Application_Start(sender, e);

            AreaRegistration.RegisterAllAreas();
        }
    }
}