﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using HelloWorldPlugin2.Models;

namespace HelloWorldPlugin2.Controllers
{
    public class HelloController : Controller
    {
        public ActionResult Index()
        {
            var model = new MovieList();
            return View(model.GetMovies());
        }

        public ActionResult CreateNew()
        {
            var model = Movie.NewMovie();

            return View(model);
        }

        public ActionResult SaveNewMovie(Movie movie)
        {
            var model = new MovieList();
            model.GetMovies().Add(movie);
            return RedirectToAction("Index");
        }

        [HttpGet]
        public ActionResult EditMovie(int id)
        {
            var model = new MovieList().GetMovies().Find(p => p.Id == id);
            return View(model);
        }
        
        [HttpPost]
        public ActionResult EditMovie(Movie movie)
        {
            var model = new MovieList().GetMovies().Find(p => p.Id == movie.Id);
            model.Name = movie.Name;
            model.Rating = movie.Rating;

            return RedirectToAction("Index");
        }

        public ActionResult DeleteMovie(int id)
        {
            new MovieList().GetMovies().Remove(new MovieList().GetMovies().Find(p => p.Id == id));
            return RedirectToAction("Index");
        }
    }
}
